Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/116
Addresses4,096
/64 networksPart of one
Network
2c19:dd:dd0:ec00:c25:c25:dd07:d000/116
First address
2c19:dd:dd0:ec00:c25:c25:dd07:d000
Last address
2c19:dd:dd0:ec00:c25:c25:dd07:dfff
Addresses
4,096
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:0dd0:ec00:0c25:0c25:dd07:d000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
d.7.0.d.d.5.2.c.0.5.2.c.0.0.0.c.e.0.d.d.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:dd0:ec00:c25:c25:dd07:d000/116 makes 4,096 subnets of /128; the first 256 are listed.

Subnets
#SubnetLast address
12c19:dd:dd0:ec00:c25:c25:dd07:d000/1282c19:dd:dd0:ec00:c25:c25:dd07:d000
22c19:dd:dd0:ec00:c25:c25:dd07:d001/1282c19:dd:dd0:ec00:c25:c25:dd07:d001
32c19:dd:dd0:ec00:c25:c25:dd07:d002/1282c19:dd:dd0:ec00:c25:c25:dd07:d002
42c19:dd:dd0:ec00:c25:c25:dd07:d003/1282c19:dd:dd0:ec00:c25:c25:dd07:d003
52c19:dd:dd0:ec00:c25:c25:dd07:d004/1282c19:dd:dd0:ec00:c25:c25:dd07:d004
62c19:dd:dd0:ec00:c25:c25:dd07:d005/1282c19:dd:dd0:ec00:c25:c25:dd07:d005
72c19:dd:dd0:ec00:c25:c25:dd07:d006/1282c19:dd:dd0:ec00:c25:c25:dd07:d006
82c19:dd:dd0:ec00:c25:c25:dd07:d007/1282c19:dd:dd0:ec00:c25:c25:dd07:d007
92c19:dd:dd0:ec00:c25:c25:dd07:d008/1282c19:dd:dd0:ec00:c25:c25:dd07:d008
102c19:dd:dd0:ec00:c25:c25:dd07:d009/1282c19:dd:dd0:ec00:c25:c25:dd07:d009
112c19:dd:dd0:ec00:c25:c25:dd07:d00a/1282c19:dd:dd0:ec00:c25:c25:dd07:d00a
122c19:dd:dd0:ec00:c25:c25:dd07:d00b/1282c19:dd:dd0:ec00:c25:c25:dd07:d00b
132c19:dd:dd0:ec00:c25:c25:dd07:d00c/1282c19:dd:dd0:ec00:c25:c25:dd07:d00c
142c19:dd:dd0:ec00:c25:c25:dd07:d00d/1282c19:dd:dd0:ec00:c25:c25:dd07:d00d
152c19:dd:dd0:ec00:c25:c25:dd07:d00e/1282c19:dd:dd0:ec00:c25:c25:dd07:d00e
162c19:dd:dd0:ec00:c25:c25:dd07:d00f/1282c19:dd:dd0:ec00:c25:c25:dd07:d00f
172c19:dd:dd0:ec00:c25:c25:dd07:d010/1282c19:dd:dd0:ec00:c25:c25:dd07:d010
182c19:dd:dd0:ec00:c25:c25:dd07:d011/1282c19:dd:dd0:ec00:c25:c25:dd07:d011
192c19:dd:dd0:ec00:c25:c25:dd07:d012/1282c19:dd:dd0:ec00:c25:c25:dd07:d012
202c19:dd:dd0:ec00:c25:c25:dd07:d013/1282c19:dd:dd0:ec00:c25:c25:dd07:d013
212c19:dd:dd0:ec00:c25:c25:dd07:d014/1282c19:dd:dd0:ec00:c25:c25:dd07:d014
222c19:dd:dd0:ec00:c25:c25:dd07:d015/1282c19:dd:dd0:ec00:c25:c25:dd07:d015
232c19:dd:dd0:ec00:c25:c25:dd07:d016/1282c19:dd:dd0:ec00:c25:c25:dd07:d016
242c19:dd:dd0:ec00:c25:c25:dd07:d017/1282c19:dd:dd0:ec00:c25:c25:dd07:d017
252c19:dd:dd0:ec00:c25:c25:dd07:d018/1282c19:dd:dd0:ec00:c25:c25:dd07:d018
262c19:dd:dd0:ec00:c25:c25:dd07:d019/1282c19:dd:dd0:ec00:c25:c25:dd07:d019
272c19:dd:dd0:ec00:c25:c25:dd07:d01a/1282c19:dd:dd0:ec00:c25:c25:dd07:d01a
282c19:dd:dd0:ec00:c25:c25:dd07:d01b/1282c19:dd:dd0:ec00:c25:c25:dd07:d01b
292c19:dd:dd0:ec00:c25:c25:dd07:d01c/1282c19:dd:dd0:ec00:c25:c25:dd07:d01c
302c19:dd:dd0:ec00:c25:c25:dd07:d01d/1282c19:dd:dd0:ec00:c25:c25:dd07:d01d
312c19:dd:dd0:ec00:c25:c25:dd07:d01e/1282c19:dd:dd0:ec00:c25:c25:dd07:d01e
322c19:dd:dd0:ec00:c25:c25:dd07:d01f/1282c19:dd:dd0:ec00:c25:c25:dd07:d01f
332c19:dd:dd0:ec00:c25:c25:dd07:d020/1282c19:dd:dd0:ec00:c25:c25:dd07:d020
342c19:dd:dd0:ec00:c25:c25:dd07:d021/1282c19:dd:dd0:ec00:c25:c25:dd07:d021
352c19:dd:dd0:ec00:c25:c25:dd07:d022/1282c19:dd:dd0:ec00:c25:c25:dd07:d022
362c19:dd:dd0:ec00:c25:c25:dd07:d023/1282c19:dd:dd0:ec00:c25:c25:dd07:d023
372c19:dd:dd0:ec00:c25:c25:dd07:d024/1282c19:dd:dd0:ec00:c25:c25:dd07:d024
382c19:dd:dd0:ec00:c25:c25:dd07:d025/1282c19:dd:dd0:ec00:c25:c25:dd07:d025
392c19:dd:dd0:ec00:c25:c25:dd07:d026/1282c19:dd:dd0:ec00:c25:c25:dd07:d026
402c19:dd:dd0:ec00:c25:c25:dd07:d027/1282c19:dd:dd0:ec00:c25:c25:dd07:d027
412c19:dd:dd0:ec00:c25:c25:dd07:d028/1282c19:dd:dd0:ec00:c25:c25:dd07:d028
422c19:dd:dd0:ec00:c25:c25:dd07:d029/1282c19:dd:dd0:ec00:c25:c25:dd07:d029
432c19:dd:dd0:ec00:c25:c25:dd07:d02a/1282c19:dd:dd0:ec00:c25:c25:dd07:d02a
442c19:dd:dd0:ec00:c25:c25:dd07:d02b/1282c19:dd:dd0:ec00:c25:c25:dd07:d02b
452c19:dd:dd0:ec00:c25:c25:dd07:d02c/1282c19:dd:dd0:ec00:c25:c25:dd07:d02c
462c19:dd:dd0:ec00:c25:c25:dd07:d02d/1282c19:dd:dd0:ec00:c25:c25:dd07:d02d
472c19:dd:dd0:ec00:c25:c25:dd07:d02e/1282c19:dd:dd0:ec00:c25:c25:dd07:d02e
482c19:dd:dd0:ec00:c25:c25:dd07:d02f/1282c19:dd:dd0:ec00:c25:c25:dd07:d02f
492c19:dd:dd0:ec00:c25:c25:dd07:d030/1282c19:dd:dd0:ec00:c25:c25:dd07:d030
502c19:dd:dd0:ec00:c25:c25:dd07:d031/1282c19:dd:dd0:ec00:c25:c25:dd07:d031
512c19:dd:dd0:ec00:c25:c25:dd07:d032/1282c19:dd:dd0:ec00:c25:c25:dd07:d032
522c19:dd:dd0:ec00:c25:c25:dd07:d033/1282c19:dd:dd0:ec00:c25:c25:dd07:d033
532c19:dd:dd0:ec00:c25:c25:dd07:d034/1282c19:dd:dd0:ec00:c25:c25:dd07:d034
542c19:dd:dd0:ec00:c25:c25:dd07:d035/1282c19:dd:dd0:ec00:c25:c25:dd07:d035
552c19:dd:dd0:ec00:c25:c25:dd07:d036/1282c19:dd:dd0:ec00:c25:c25:dd07:d036
562c19:dd:dd0:ec00:c25:c25:dd07:d037/1282c19:dd:dd0:ec00:c25:c25:dd07:d037
572c19:dd:dd0:ec00:c25:c25:dd07:d038/1282c19:dd:dd0:ec00:c25:c25:dd07:d038
582c19:dd:dd0:ec00:c25:c25:dd07:d039/1282c19:dd:dd0:ec00:c25:c25:dd07:d039
592c19:dd:dd0:ec00:c25:c25:dd07:d03a/1282c19:dd:dd0:ec00:c25:c25:dd07:d03a
602c19:dd:dd0:ec00:c25:c25:dd07:d03b/1282c19:dd:dd0:ec00:c25:c25:dd07:d03b
612c19:dd:dd0:ec00:c25:c25:dd07:d03c/1282c19:dd:dd0:ec00:c25:c25:dd07:d03c
622c19:dd:dd0:ec00:c25:c25:dd07:d03d/1282c19:dd:dd0:ec00:c25:c25:dd07:d03d
632c19:dd:dd0:ec00:c25:c25:dd07:d03e/1282c19:dd:dd0:ec00:c25:c25:dd07:d03e
642c19:dd:dd0:ec00:c25:c25:dd07:d03f/1282c19:dd:dd0:ec00:c25:c25:dd07:d03f
652c19:dd:dd0:ec00:c25:c25:dd07:d040/1282c19:dd:dd0:ec00:c25:c25:dd07:d040
662c19:dd:dd0:ec00:c25:c25:dd07:d041/1282c19:dd:dd0:ec00:c25:c25:dd07:d041
672c19:dd:dd0:ec00:c25:c25:dd07:d042/1282c19:dd:dd0:ec00:c25:c25:dd07:d042
682c19:dd:dd0:ec00:c25:c25:dd07:d043/1282c19:dd:dd0:ec00:c25:c25:dd07:d043
692c19:dd:dd0:ec00:c25:c25:dd07:d044/1282c19:dd:dd0:ec00:c25:c25:dd07:d044
702c19:dd:dd0:ec00:c25:c25:dd07:d045/1282c19:dd:dd0:ec00:c25:c25:dd07:d045
712c19:dd:dd0:ec00:c25:c25:dd07:d046/1282c19:dd:dd0:ec00:c25:c25:dd07:d046
722c19:dd:dd0:ec00:c25:c25:dd07:d047/1282c19:dd:dd0:ec00:c25:c25:dd07:d047
732c19:dd:dd0:ec00:c25:c25:dd07:d048/1282c19:dd:dd0:ec00:c25:c25:dd07:d048
742c19:dd:dd0:ec00:c25:c25:dd07:d049/1282c19:dd:dd0:ec00:c25:c25:dd07:d049
752c19:dd:dd0:ec00:c25:c25:dd07:d04a/1282c19:dd:dd0:ec00:c25:c25:dd07:d04a
762c19:dd:dd0:ec00:c25:c25:dd07:d04b/1282c19:dd:dd0:ec00:c25:c25:dd07:d04b
772c19:dd:dd0:ec00:c25:c25:dd07:d04c/1282c19:dd:dd0:ec00:c25:c25:dd07:d04c
782c19:dd:dd0:ec00:c25:c25:dd07:d04d/1282c19:dd:dd0:ec00:c25:c25:dd07:d04d
792c19:dd:dd0:ec00:c25:c25:dd07:d04e/1282c19:dd:dd0:ec00:c25:c25:dd07:d04e
802c19:dd:dd0:ec00:c25:c25:dd07:d04f/1282c19:dd:dd0:ec00:c25:c25:dd07:d04f
812c19:dd:dd0:ec00:c25:c25:dd07:d050/1282c19:dd:dd0:ec00:c25:c25:dd07:d050
822c19:dd:dd0:ec00:c25:c25:dd07:d051/1282c19:dd:dd0:ec00:c25:c25:dd07:d051
832c19:dd:dd0:ec00:c25:c25:dd07:d052/1282c19:dd:dd0:ec00:c25:c25:dd07:d052
842c19:dd:dd0:ec00:c25:c25:dd07:d053/1282c19:dd:dd0:ec00:c25:c25:dd07:d053
852c19:dd:dd0:ec00:c25:c25:dd07:d054/1282c19:dd:dd0:ec00:c25:c25:dd07:d054
862c19:dd:dd0:ec00:c25:c25:dd07:d055/1282c19:dd:dd0:ec00:c25:c25:dd07:d055
872c19:dd:dd0:ec00:c25:c25:dd07:d056/1282c19:dd:dd0:ec00:c25:c25:dd07:d056
882c19:dd:dd0:ec00:c25:c25:dd07:d057/1282c19:dd:dd0:ec00:c25:c25:dd07:d057
892c19:dd:dd0:ec00:c25:c25:dd07:d058/1282c19:dd:dd0:ec00:c25:c25:dd07:d058
902c19:dd:dd0:ec00:c25:c25:dd07:d059/1282c19:dd:dd0:ec00:c25:c25:dd07:d059
912c19:dd:dd0:ec00:c25:c25:dd07:d05a/1282c19:dd:dd0:ec00:c25:c25:dd07:d05a
922c19:dd:dd0:ec00:c25:c25:dd07:d05b/1282c19:dd:dd0:ec00:c25:c25:dd07:d05b
932c19:dd:dd0:ec00:c25:c25:dd07:d05c/1282c19:dd:dd0:ec00:c25:c25:dd07:d05c
942c19:dd:dd0:ec00:c25:c25:dd07:d05d/1282c19:dd:dd0:ec00:c25:c25:dd07:d05d
952c19:dd:dd0:ec00:c25:c25:dd07:d05e/1282c19:dd:dd0:ec00:c25:c25:dd07:d05e
962c19:dd:dd0:ec00:c25:c25:dd07:d05f/1282c19:dd:dd0:ec00:c25:c25:dd07:d05f
972c19:dd:dd0:ec00:c25:c25:dd07:d060/1282c19:dd:dd0:ec00:c25:c25:dd07:d060
982c19:dd:dd0:ec00:c25:c25:dd07:d061/1282c19:dd:dd0:ec00:c25:c25:dd07:d061
992c19:dd:dd0:ec00:c25:c25:dd07:d062/1282c19:dd:dd0:ec00:c25:c25:dd07:d062
1002c19:dd:dd0:ec00:c25:c25:dd07:d063/1282c19:dd:dd0:ec00:c25:c25:dd07:d063
1012c19:dd:dd0:ec00:c25:c25:dd07:d064/1282c19:dd:dd0:ec00:c25:c25:dd07:d064
1022c19:dd:dd0:ec00:c25:c25:dd07:d065/1282c19:dd:dd0:ec00:c25:c25:dd07:d065
1032c19:dd:dd0:ec00:c25:c25:dd07:d066/1282c19:dd:dd0:ec00:c25:c25:dd07:d066
1042c19:dd:dd0:ec00:c25:c25:dd07:d067/1282c19:dd:dd0:ec00:c25:c25:dd07:d067
1052c19:dd:dd0:ec00:c25:c25:dd07:d068/1282c19:dd:dd0:ec00:c25:c25:dd07:d068
1062c19:dd:dd0:ec00:c25:c25:dd07:d069/1282c19:dd:dd0:ec00:c25:c25:dd07:d069
1072c19:dd:dd0:ec00:c25:c25:dd07:d06a/1282c19:dd:dd0:ec00:c25:c25:dd07:d06a
1082c19:dd:dd0:ec00:c25:c25:dd07:d06b/1282c19:dd:dd0:ec00:c25:c25:dd07:d06b
1092c19:dd:dd0:ec00:c25:c25:dd07:d06c/1282c19:dd:dd0:ec00:c25:c25:dd07:d06c
1102c19:dd:dd0:ec00:c25:c25:dd07:d06d/1282c19:dd:dd0:ec00:c25:c25:dd07:d06d
1112c19:dd:dd0:ec00:c25:c25:dd07:d06e/1282c19:dd:dd0:ec00:c25:c25:dd07:d06e
1122c19:dd:dd0:ec00:c25:c25:dd07:d06f/1282c19:dd:dd0:ec00:c25:c25:dd07:d06f
1132c19:dd:dd0:ec00:c25:c25:dd07:d070/1282c19:dd:dd0:ec00:c25:c25:dd07:d070
1142c19:dd:dd0:ec00:c25:c25:dd07:d071/1282c19:dd:dd0:ec00:c25:c25:dd07:d071
1152c19:dd:dd0:ec00:c25:c25:dd07:d072/1282c19:dd:dd0:ec00:c25:c25:dd07:d072
1162c19:dd:dd0:ec00:c25:c25:dd07:d073/1282c19:dd:dd0:ec00:c25:c25:dd07:d073
1172c19:dd:dd0:ec00:c25:c25:dd07:d074/1282c19:dd:dd0:ec00:c25:c25:dd07:d074
1182c19:dd:dd0:ec00:c25:c25:dd07:d075/1282c19:dd:dd0:ec00:c25:c25:dd07:d075
1192c19:dd:dd0:ec00:c25:c25:dd07:d076/1282c19:dd:dd0:ec00:c25:c25:dd07:d076
1202c19:dd:dd0:ec00:c25:c25:dd07:d077/1282c19:dd:dd0:ec00:c25:c25:dd07:d077
1212c19:dd:dd0:ec00:c25:c25:dd07:d078/1282c19:dd:dd0:ec00:c25:c25:dd07:d078
1222c19:dd:dd0:ec00:c25:c25:dd07:d079/1282c19:dd:dd0:ec00:c25:c25:dd07:d079
1232c19:dd:dd0:ec00:c25:c25:dd07:d07a/1282c19:dd:dd0:ec00:c25:c25:dd07:d07a
1242c19:dd:dd0:ec00:c25:c25:dd07:d07b/1282c19:dd:dd0:ec00:c25:c25:dd07:d07b
1252c19:dd:dd0:ec00:c25:c25:dd07:d07c/1282c19:dd:dd0:ec00:c25:c25:dd07:d07c
1262c19:dd:dd0:ec00:c25:c25:dd07:d07d/1282c19:dd:dd0:ec00:c25:c25:dd07:d07d
1272c19:dd:dd0:ec00:c25:c25:dd07:d07e/1282c19:dd:dd0:ec00:c25:c25:dd07:d07e
1282c19:dd:dd0:ec00:c25:c25:dd07:d07f/1282c19:dd:dd0:ec00:c25:c25:dd07:d07f
1292c19:dd:dd0:ec00:c25:c25:dd07:d080/1282c19:dd:dd0:ec00:c25:c25:dd07:d080
1302c19:dd:dd0:ec00:c25:c25:dd07:d081/1282c19:dd:dd0:ec00:c25:c25:dd07:d081
1312c19:dd:dd0:ec00:c25:c25:dd07:d082/1282c19:dd:dd0:ec00:c25:c25:dd07:d082
1322c19:dd:dd0:ec00:c25:c25:dd07:d083/1282c19:dd:dd0:ec00:c25:c25:dd07:d083
1332c19:dd:dd0:ec00:c25:c25:dd07:d084/1282c19:dd:dd0:ec00:c25:c25:dd07:d084
1342c19:dd:dd0:ec00:c25:c25:dd07:d085/1282c19:dd:dd0:ec00:c25:c25:dd07:d085
1352c19:dd:dd0:ec00:c25:c25:dd07:d086/1282c19:dd:dd0:ec00:c25:c25:dd07:d086
1362c19:dd:dd0:ec00:c25:c25:dd07:d087/1282c19:dd:dd0:ec00:c25:c25:dd07:d087
1372c19:dd:dd0:ec00:c25:c25:dd07:d088/1282c19:dd:dd0:ec00:c25:c25:dd07:d088
1382c19:dd:dd0:ec00:c25:c25:dd07:d089/1282c19:dd:dd0:ec00:c25:c25:dd07:d089
1392c19:dd:dd0:ec00:c25:c25:dd07:d08a/1282c19:dd:dd0:ec00:c25:c25:dd07:d08a
1402c19:dd:dd0:ec00:c25:c25:dd07:d08b/1282c19:dd:dd0:ec00:c25:c25:dd07:d08b
1412c19:dd:dd0:ec00:c25:c25:dd07:d08c/1282c19:dd:dd0:ec00:c25:c25:dd07:d08c
1422c19:dd:dd0:ec00:c25:c25:dd07:d08d/1282c19:dd:dd0:ec00:c25:c25:dd07:d08d
1432c19:dd:dd0:ec00:c25:c25:dd07:d08e/1282c19:dd:dd0:ec00:c25:c25:dd07:d08e
1442c19:dd:dd0:ec00:c25:c25:dd07:d08f/1282c19:dd:dd0:ec00:c25:c25:dd07:d08f
1452c19:dd:dd0:ec00:c25:c25:dd07:d090/1282c19:dd:dd0:ec00:c25:c25:dd07:d090
1462c19:dd:dd0:ec00:c25:c25:dd07:d091/1282c19:dd:dd0:ec00:c25:c25:dd07:d091
1472c19:dd:dd0:ec00:c25:c25:dd07:d092/1282c19:dd:dd0:ec00:c25:c25:dd07:d092
1482c19:dd:dd0:ec00:c25:c25:dd07:d093/1282c19:dd:dd0:ec00:c25:c25:dd07:d093
1492c19:dd:dd0:ec00:c25:c25:dd07:d094/1282c19:dd:dd0:ec00:c25:c25:dd07:d094
1502c19:dd:dd0:ec00:c25:c25:dd07:d095/1282c19:dd:dd0:ec00:c25:c25:dd07:d095
1512c19:dd:dd0:ec00:c25:c25:dd07:d096/1282c19:dd:dd0:ec00:c25:c25:dd07:d096
1522c19:dd:dd0:ec00:c25:c25:dd07:d097/1282c19:dd:dd0:ec00:c25:c25:dd07:d097
1532c19:dd:dd0:ec00:c25:c25:dd07:d098/1282c19:dd:dd0:ec00:c25:c25:dd07:d098
1542c19:dd:dd0:ec00:c25:c25:dd07:d099/1282c19:dd:dd0:ec00:c25:c25:dd07:d099
1552c19:dd:dd0:ec00:c25:c25:dd07:d09a/1282c19:dd:dd0:ec00:c25:c25:dd07:d09a
1562c19:dd:dd0:ec00:c25:c25:dd07:d09b/1282c19:dd:dd0:ec00:c25:c25:dd07:d09b
1572c19:dd:dd0:ec00:c25:c25:dd07:d09c/1282c19:dd:dd0:ec00:c25:c25:dd07:d09c
1582c19:dd:dd0:ec00:c25:c25:dd07:d09d/1282c19:dd:dd0:ec00:c25:c25:dd07:d09d
1592c19:dd:dd0:ec00:c25:c25:dd07:d09e/1282c19:dd:dd0:ec00:c25:c25:dd07:d09e
1602c19:dd:dd0:ec00:c25:c25:dd07:d09f/1282c19:dd:dd0:ec00:c25:c25:dd07:d09f
1612c19:dd:dd0:ec00:c25:c25:dd07:d0a0/1282c19:dd:dd0:ec00:c25:c25:dd07:d0a0
1622c19:dd:dd0:ec00:c25:c25:dd07:d0a1/1282c19:dd:dd0:ec00:c25:c25:dd07:d0a1
1632c19:dd:dd0:ec00:c25:c25:dd07:d0a2/1282c19:dd:dd0:ec00:c25:c25:dd07:d0a2
1642c19:dd:dd0:ec00:c25:c25:dd07:d0a3/1282c19:dd:dd0:ec00:c25:c25:dd07:d0a3
1652c19:dd:dd0:ec00:c25:c25:dd07:d0a4/1282c19:dd:dd0:ec00:c25:c25:dd07:d0a4
1662c19:dd:dd0:ec00:c25:c25:dd07:d0a5/1282c19:dd:dd0:ec00:c25:c25:dd07:d0a5
1672c19:dd:dd0:ec00:c25:c25:dd07:d0a6/1282c19:dd:dd0:ec00:c25:c25:dd07:d0a6
1682c19:dd:dd0:ec00:c25:c25:dd07:d0a7/1282c19:dd:dd0:ec00:c25:c25:dd07:d0a7
1692c19:dd:dd0:ec00:c25:c25:dd07:d0a8/1282c19:dd:dd0:ec00:c25:c25:dd07:d0a8
1702c19:dd:dd0:ec00:c25:c25:dd07:d0a9/1282c19:dd:dd0:ec00:c25:c25:dd07:d0a9
1712c19:dd:dd0:ec00:c25:c25:dd07:d0aa/1282c19:dd:dd0:ec00:c25:c25:dd07:d0aa
1722c19:dd:dd0:ec00:c25:c25:dd07:d0ab/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ab
1732c19:dd:dd0:ec00:c25:c25:dd07:d0ac/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ac
1742c19:dd:dd0:ec00:c25:c25:dd07:d0ad/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ad
1752c19:dd:dd0:ec00:c25:c25:dd07:d0ae/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ae
1762c19:dd:dd0:ec00:c25:c25:dd07:d0af/1282c19:dd:dd0:ec00:c25:c25:dd07:d0af
1772c19:dd:dd0:ec00:c25:c25:dd07:d0b0/1282c19:dd:dd0:ec00:c25:c25:dd07:d0b0
1782c19:dd:dd0:ec00:c25:c25:dd07:d0b1/1282c19:dd:dd0:ec00:c25:c25:dd07:d0b1
1792c19:dd:dd0:ec00:c25:c25:dd07:d0b2/1282c19:dd:dd0:ec00:c25:c25:dd07:d0b2
1802c19:dd:dd0:ec00:c25:c25:dd07:d0b3/1282c19:dd:dd0:ec00:c25:c25:dd07:d0b3
1812c19:dd:dd0:ec00:c25:c25:dd07:d0b4/1282c19:dd:dd0:ec00:c25:c25:dd07:d0b4
1822c19:dd:dd0:ec00:c25:c25:dd07:d0b5/1282c19:dd:dd0:ec00:c25:c25:dd07:d0b5
1832c19:dd:dd0:ec00:c25:c25:dd07:d0b6/1282c19:dd:dd0:ec00:c25:c25:dd07:d0b6
1842c19:dd:dd0:ec00:c25:c25:dd07:d0b7/1282c19:dd:dd0:ec00:c25:c25:dd07:d0b7
1852c19:dd:dd0:ec00:c25:c25:dd07:d0b8/1282c19:dd:dd0:ec00:c25:c25:dd07:d0b8
1862c19:dd:dd0:ec00:c25:c25:dd07:d0b9/1282c19:dd:dd0:ec00:c25:c25:dd07:d0b9
1872c19:dd:dd0:ec00:c25:c25:dd07:d0ba/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ba
1882c19:dd:dd0:ec00:c25:c25:dd07:d0bb/1282c19:dd:dd0:ec00:c25:c25:dd07:d0bb
1892c19:dd:dd0:ec00:c25:c25:dd07:d0bc/1282c19:dd:dd0:ec00:c25:c25:dd07:d0bc
1902c19:dd:dd0:ec00:c25:c25:dd07:d0bd/1282c19:dd:dd0:ec00:c25:c25:dd07:d0bd
1912c19:dd:dd0:ec00:c25:c25:dd07:d0be/1282c19:dd:dd0:ec00:c25:c25:dd07:d0be
1922c19:dd:dd0:ec00:c25:c25:dd07:d0bf/1282c19:dd:dd0:ec00:c25:c25:dd07:d0bf
1932c19:dd:dd0:ec00:c25:c25:dd07:d0c0/1282c19:dd:dd0:ec00:c25:c25:dd07:d0c0
1942c19:dd:dd0:ec00:c25:c25:dd07:d0c1/1282c19:dd:dd0:ec00:c25:c25:dd07:d0c1
1952c19:dd:dd0:ec00:c25:c25:dd07:d0c2/1282c19:dd:dd0:ec00:c25:c25:dd07:d0c2
1962c19:dd:dd0:ec00:c25:c25:dd07:d0c3/1282c19:dd:dd0:ec00:c25:c25:dd07:d0c3
1972c19:dd:dd0:ec00:c25:c25:dd07:d0c4/1282c19:dd:dd0:ec00:c25:c25:dd07:d0c4
1982c19:dd:dd0:ec00:c25:c25:dd07:d0c5/1282c19:dd:dd0:ec00:c25:c25:dd07:d0c5
1992c19:dd:dd0:ec00:c25:c25:dd07:d0c6/1282c19:dd:dd0:ec00:c25:c25:dd07:d0c6
2002c19:dd:dd0:ec00:c25:c25:dd07:d0c7/1282c19:dd:dd0:ec00:c25:c25:dd07:d0c7
2012c19:dd:dd0:ec00:c25:c25:dd07:d0c8/1282c19:dd:dd0:ec00:c25:c25:dd07:d0c8
2022c19:dd:dd0:ec00:c25:c25:dd07:d0c9/1282c19:dd:dd0:ec00:c25:c25:dd07:d0c9
2032c19:dd:dd0:ec00:c25:c25:dd07:d0ca/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ca
2042c19:dd:dd0:ec00:c25:c25:dd07:d0cb/1282c19:dd:dd0:ec00:c25:c25:dd07:d0cb
2052c19:dd:dd0:ec00:c25:c25:dd07:d0cc/1282c19:dd:dd0:ec00:c25:c25:dd07:d0cc
2062c19:dd:dd0:ec00:c25:c25:dd07:d0cd/1282c19:dd:dd0:ec00:c25:c25:dd07:d0cd
2072c19:dd:dd0:ec00:c25:c25:dd07:d0ce/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ce
2082c19:dd:dd0:ec00:c25:c25:dd07:d0cf/1282c19:dd:dd0:ec00:c25:c25:dd07:d0cf
2092c19:dd:dd0:ec00:c25:c25:dd07:d0d0/1282c19:dd:dd0:ec00:c25:c25:dd07:d0d0
2102c19:dd:dd0:ec00:c25:c25:dd07:d0d1/1282c19:dd:dd0:ec00:c25:c25:dd07:d0d1
2112c19:dd:dd0:ec00:c25:c25:dd07:d0d2/1282c19:dd:dd0:ec00:c25:c25:dd07:d0d2
2122c19:dd:dd0:ec00:c25:c25:dd07:d0d3/1282c19:dd:dd0:ec00:c25:c25:dd07:d0d3
2132c19:dd:dd0:ec00:c25:c25:dd07:d0d4/1282c19:dd:dd0:ec00:c25:c25:dd07:d0d4
2142c19:dd:dd0:ec00:c25:c25:dd07:d0d5/1282c19:dd:dd0:ec00:c25:c25:dd07:d0d5
2152c19:dd:dd0:ec00:c25:c25:dd07:d0d6/1282c19:dd:dd0:ec00:c25:c25:dd07:d0d6
2162c19:dd:dd0:ec00:c25:c25:dd07:d0d7/1282c19:dd:dd0:ec00:c25:c25:dd07:d0d7
2172c19:dd:dd0:ec00:c25:c25:dd07:d0d8/1282c19:dd:dd0:ec00:c25:c25:dd07:d0d8
2182c19:dd:dd0:ec00:c25:c25:dd07:d0d9/1282c19:dd:dd0:ec00:c25:c25:dd07:d0d9
2192c19:dd:dd0:ec00:c25:c25:dd07:d0da/1282c19:dd:dd0:ec00:c25:c25:dd07:d0da
2202c19:dd:dd0:ec00:c25:c25:dd07:d0db/1282c19:dd:dd0:ec00:c25:c25:dd07:d0db
2212c19:dd:dd0:ec00:c25:c25:dd07:d0dc/1282c19:dd:dd0:ec00:c25:c25:dd07:d0dc
2222c19:dd:dd0:ec00:c25:c25:dd07:d0dd/1282c19:dd:dd0:ec00:c25:c25:dd07:d0dd
2232c19:dd:dd0:ec00:c25:c25:dd07:d0de/1282c19:dd:dd0:ec00:c25:c25:dd07:d0de
2242c19:dd:dd0:ec00:c25:c25:dd07:d0df/1282c19:dd:dd0:ec00:c25:c25:dd07:d0df
2252c19:dd:dd0:ec00:c25:c25:dd07:d0e0/1282c19:dd:dd0:ec00:c25:c25:dd07:d0e0
2262c19:dd:dd0:ec00:c25:c25:dd07:d0e1/1282c19:dd:dd0:ec00:c25:c25:dd07:d0e1
2272c19:dd:dd0:ec00:c25:c25:dd07:d0e2/1282c19:dd:dd0:ec00:c25:c25:dd07:d0e2
2282c19:dd:dd0:ec00:c25:c25:dd07:d0e3/1282c19:dd:dd0:ec00:c25:c25:dd07:d0e3
2292c19:dd:dd0:ec00:c25:c25:dd07:d0e4/1282c19:dd:dd0:ec00:c25:c25:dd07:d0e4
2302c19:dd:dd0:ec00:c25:c25:dd07:d0e5/1282c19:dd:dd0:ec00:c25:c25:dd07:d0e5
2312c19:dd:dd0:ec00:c25:c25:dd07:d0e6/1282c19:dd:dd0:ec00:c25:c25:dd07:d0e6
2322c19:dd:dd0:ec00:c25:c25:dd07:d0e7/1282c19:dd:dd0:ec00:c25:c25:dd07:d0e7
2332c19:dd:dd0:ec00:c25:c25:dd07:d0e8/1282c19:dd:dd0:ec00:c25:c25:dd07:d0e8
2342c19:dd:dd0:ec00:c25:c25:dd07:d0e9/1282c19:dd:dd0:ec00:c25:c25:dd07:d0e9
2352c19:dd:dd0:ec00:c25:c25:dd07:d0ea/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ea
2362c19:dd:dd0:ec00:c25:c25:dd07:d0eb/1282c19:dd:dd0:ec00:c25:c25:dd07:d0eb
2372c19:dd:dd0:ec00:c25:c25:dd07:d0ec/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ec
2382c19:dd:dd0:ec00:c25:c25:dd07:d0ed/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ed
2392c19:dd:dd0:ec00:c25:c25:dd07:d0ee/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ee
2402c19:dd:dd0:ec00:c25:c25:dd07:d0ef/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ef
2412c19:dd:dd0:ec00:c25:c25:dd07:d0f0/1282c19:dd:dd0:ec00:c25:c25:dd07:d0f0
2422c19:dd:dd0:ec00:c25:c25:dd07:d0f1/1282c19:dd:dd0:ec00:c25:c25:dd07:d0f1
2432c19:dd:dd0:ec00:c25:c25:dd07:d0f2/1282c19:dd:dd0:ec00:c25:c25:dd07:d0f2
2442c19:dd:dd0:ec00:c25:c25:dd07:d0f3/1282c19:dd:dd0:ec00:c25:c25:dd07:d0f3
2452c19:dd:dd0:ec00:c25:c25:dd07:d0f4/1282c19:dd:dd0:ec00:c25:c25:dd07:d0f4
2462c19:dd:dd0:ec00:c25:c25:dd07:d0f5/1282c19:dd:dd0:ec00:c25:c25:dd07:d0f5
2472c19:dd:dd0:ec00:c25:c25:dd07:d0f6/1282c19:dd:dd0:ec00:c25:c25:dd07:d0f6
2482c19:dd:dd0:ec00:c25:c25:dd07:d0f7/1282c19:dd:dd0:ec00:c25:c25:dd07:d0f7
2492c19:dd:dd0:ec00:c25:c25:dd07:d0f8/1282c19:dd:dd0:ec00:c25:c25:dd07:d0f8
2502c19:dd:dd0:ec00:c25:c25:dd07:d0f9/1282c19:dd:dd0:ec00:c25:c25:dd07:d0f9
2512c19:dd:dd0:ec00:c25:c25:dd07:d0fa/1282c19:dd:dd0:ec00:c25:c25:dd07:d0fa
2522c19:dd:dd0:ec00:c25:c25:dd07:d0fb/1282c19:dd:dd0:ec00:c25:c25:dd07:d0fb
2532c19:dd:dd0:ec00:c25:c25:dd07:d0fc/1282c19:dd:dd0:ec00:c25:c25:dd07:d0fc
2542c19:dd:dd0:ec00:c25:c25:dd07:d0fd/1282c19:dd:dd0:ec00:c25:c25:dd07:d0fd
2552c19:dd:dd0:ec00:c25:c25:dd07:d0fe/1282c19:dd:dd0:ec00:c25:c25:dd07:d0fe
2562c19:dd:dd0:ec00:c25:c25:dd07:d0ff/1282c19:dd:dd0:ec00:c25:c25:dd07:d0ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses